<?php

/*
	[SupeSite/X-Space] (C)2001-2006 Comsenz Inc.
	頻道程序文件
	請參閱\下面的註釋，進行程序自我擴充編寫
*/

if(!defined('IN_SUPESITE')) {
	exit('Access Denied');
}

/*
	下面這段代碼，設置該頁面是否生成html文件
	如果我們要該頁面自動生成 html，就可以設置變量 $makehtml = 1;
	設置 $makehtml = 0; 則不生成html文件
	$htmlupdatetime 變量，為設置 生成html後，程序每隔多長時間自動
	更新生成的html文件。單位為：秒
	比如，我們設置為 $htmlupdatetime = 3600; 則1小時後，自動更新
	生成的html靜態文件。
	也可以使用系統配置的變量，具體可以參考 news.php 文件的寫法。
*/

$makehtml = 0;
$htmlupdatetime = 3600;

/*
	下面這段代碼，是對生成html的配置
	這些代碼，請保持默認即可。一般情況下，不需要修改。
*/

if(!empty($makehtml)) {
	$_SHTML['action'] = $_SGET['action'];
	$_SHTML['name'] = $_SGET['name'];
	if(!empty($_SGET['page'])) $_SHTML['page'] = intval($_SGET['page']);
	$_SGLOBAL['htmlfile'] = gethtmlfile($_SHTML);
	ehtml('get', $htmlupdatetime);
	$_SCONFIG['debug'] = 0;
}

include_once(S_ROOT.'./include/common.inc.php');

/*
	如果您要通過數據庫進行特定數據查詢
	或者預先設置一些變量，請在下面的位置進行自我php編程。
	一般情況下，無需自我編程。
	您只需要在模板文件中，寫入SupeSite的模塊調用代碼功\能就可以實現大部分功\能。
*/

// 自我編程開始 
// .........
// .........
// .........
// .........
// .........
// 自我編程結束

/*
	下面這些代碼，包含了調用模板、生成緩存、生成html等功\能
	這些代碼，請保持默認即可。非特別情況，請不要修改。
	
	最後，你要做的工作，就是去修改對應的模板文件了。
	在模板文件中，你就可以使用 SupeSite 強大的模塊功\能，對Discuz!論壇、X-Space個人空間
	上面的數據信息，進行靈活聚合展示，
	構建你自己的頻道頁面了。
*/

$title = $_SCONFIG['channel'][$_SGET['name']]['name'];

if(empty($_SCONFIG['channel'][$_SGET['name']]['tpl'])) {
	exit('Channel Template File Not found or have no access!');
} else {
	$tplname = $_SCONFIG['channel'][$_SGET['name']]['tpl'];
}
include template($tplname);
if(!empty($makehtml)) {
	ehtml('make');
} else {
	maketplblocknames($tplname);
	maketplblockvalue('cache');
}

?>